Bug 1031336 - avr-binutils support for ATtiny4/ATtiny5/ATtiny9/ATtiny10
avr-binutils support for ATtiny4/ATtiny5/ATtiny9/ATtiny10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avr-binutils (Show other bugs)
18
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1031340
  Show dependency treegraph
 
Reported: 2013-11-16 18:22 EST by Ignacio Vazquez-Abrams
Modified: 2014-02-05 17:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:32:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
avr-binutils 2.23.1 patch for ATtiny4/5/9/10 support (20.78 KB, patch)
2013-11-16 18:22 EST, Ignacio Vazquez-Abrams
no flags Details | Diff

  None (edit)
Description Ignacio Vazquez-Abrams 2013-11-16 18:22:31 EST
Created attachment 825008 [details]
avr-binutils 2.23.1 patch for ATtiny4/5/9/10 support

"This patch includes ATtiny4/5/9/10 patches from Atmel, available at
http://distribute.atmel.no/tools/opensource/avr-gcc/binutils-2.20.1/ .
It specifically includes code from 52-binutils-2.20.1-avrtiny10.patch,
57-binutils-2.20.1-at90pwm161.patch, and 60-binutils-2.20.1-bug13789.patch."

Builds successfully in mock.

I am working on avr-gcc support for the same, I will upload it separately when complete.
Comment 1 Ignacio Vazquez-Abrams 2013-11-16 19:30:01 EST
After working on it for a little while, there's no way I can complete avr-gcc support; far too much has changed in gcc/config/avr/avr.c for me to avoid botching it up, and it will require a GCC developer to make it work.

I can upload a patch for as much of the rest as possible once I've completed it, just let me know what you want.
Comment 2 Fedora End Of Life 2013-12-21 09:45:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:32:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.